tigase.server.bosh

## Class Constants

- java.lang.Object
- - tigase.server.bosh.Constants

-     public abstract class Constants
      extends Object

  Describe class Constants here. Created: Tue Jun 5 22:22:09 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `Constants.CacheAction` Enum description

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ACCEPT_ATTR` Field description
    `protected static String` | `ACK_ATTR` Field description
    `protected static String` | `AUTHID_ATTR` Field description
    `protected static String` | `BATCH_QUEUE_TIMEOUT_KEY` Field description
    `protected static long` | `BATCH_QUEUE_TIMEOUT_VAL` Field description
    `protected static String` | `BODY_EL_NAME` Field description
    `protected static String[]` | `BODY_EL_PATH` Field description
    `protected static long` | `BOSH_SESSION_CLOSE_DELAY_DEF_VAL` Field description
    `protected static String` | `BOSH_SESSION_CLOSE_DELAY_PROP_KEY` Field description
    `static String` | `BOSH_VERSION` Field description
    `protected static String` | `BOSH_XMLNS` Field description
    `protected static String` | `CACHE_ATTR` Field description
    `protected static String` | `CACHE_ID_ATTR` Field description
    `protected static String` | `CHARSETS_ATTR` Field description
    `protected static String` | `CONCURRENT_REQUESTS_PROP_KEY` Field description
    `protected static int` | `CONCURRENT_REQUESTS_PROP_VAL` Field description
    `protected static String` | `CONTENT_ATTR` Field description
    `protected static String` | `CONTENT_TYPE_DEF` Field description
    `protected static String` | `FROM_ATTR` Field description
    `protected static String` | `HOLD_ATTR` Field description
    `protected static String` | `HOLD_REQUESTS_PROP_KEY` Field description
    `protected static int` | `HOLD_REQUESTS_PROP_VAL` Field description
    `protected static String` | `HOST_ATTR` Name of custom attribute to pass name of host to which BOSH connection is established
    `protected static String` | `INACTIVITY_ATTR` Field description
    `protected static String` | `LANG_ATTR` Field description
    `protected static String` | `MAX_BATCH_SIZE_KEY` Field description
    `protected static int` | `MAX_BATCH_SIZE_VAL` Field description
    `protected static String` | `MAX_INACTIVITY_PROP_KEY` Field description
    `protected static long` | `MAX_INACTIVITY_PROP_VAL` Field description
    `protected static int` | `MAX_PACKETS` Field description
    `protected static String` | `MAX_PAUSE_PROP_KEY` Field description
    `protected static long` | `MAX_PAUSE_PROP_VAL` Field description
    `protected static String` | `MAX_SESSION_WAITING_PACKETS_KEY`
    `protected static int` | `MAX_SESSION_WAITING_PACKETS_VAL`
    `protected static String` | `MAX_WAIT_DEF_PROP_KEY` Field description
    `protected static long` | `MAX_WAIT_DEF_PROP_VAL` Field description
    `protected static String` | `MAXPAUSE_ATTR` Field description
    `protected static String` | `MIN_POLLING_PROP_KEY` Field description
    `protected static long` | `MIN_POLLING_PROP_VAL` Field description
    `protected static String` | `POLLING_ATTR` Field description
    `protected static String` | `PRE_BIND_ATTR`
    `protected static String` | `REQUESTS_ATTR` Field description
    `protected static String` | `RESTART_ATTR` Field description
    `protected static String` | `RID_ATTR` Field description
    `protected static String` | `ROUTE_ATTR` Field description
    `protected static String` | `SECURE_ATTR` Field description
    `protected static String` | `SEND_NODE_HOSTNAME_KEY` Field description
    `protected static boolean` | `SEND_NODE_HOSTNAME_VAL` Field description
    `protected static String` | `SESSION_ID_ATTR`
    `protected static String` | `SID_ATTR` Field description
    `protected static String` | `SID_LOGGER_KEY`
    `protected static String` | `SID_LOGGER_VAL`
    `protected static String` | `TO_ATTR` Field description
    `protected static String` | `USER_ID_ATTR`
    `protected static String` | `VER_ATTR` Field description
    `protected static String` | `WAIT_ATTR` Field description
    `protected static String` | `XMLNS_CLIENT_VAL` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOSH_VERSION

          public static final String BOSH_VERSION

      Field description
      See Also:
        Constant Field Values

    - #### ACCEPT_ATTR

          protected static final String ACCEPT_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### ACK_ATTR

          protected static final String ACK_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### AUTHID_ATTR

          protected static final String AUTHID_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### BATCH_QUEUE_TIMEOUT_KEY

          protected static final String BATCH_QUEUE_TIMEOUT_KEY

      Field description
      See Also:
        Constant Field Values

    - #### BATCH_QUEUE_TIMEOUT_VAL

          protected static final long BATCH_QUEUE_TIMEOUT_VAL

      Field description
      See Also:
        Constant Field Values

    - #### BODY_EL_NAME

          protected static final String BODY_EL_NAME

      Field description
      See Also:
        Constant Field Values

    - #### BODY_EL_PATH

          protected static final String[] BODY_EL_PATH

      Field description

    - #### BOSH_SESSION_CLOSE_DELAY_DEF_VAL

          protected static final long BOSH_SESSION_CLOSE_DELAY_DEF_VAL

      Field description
      See Also:
        Constant Field Values

    - #### BOSH_SESSION_CLOSE_DELAY_PROP_KEY

          protected static final String BOSH_SESSION_CLOSE_DELAY_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### BOSH_XMLNS

          protected static final String BOSH_XMLNS

      Field description
      See Also:
        Constant Field Values

    - #### CACHE_ATTR

          protected static final String CACHE_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### CACHE_ID_ATTR

          protected static final String CACHE_ID_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### CHARSETS_ATTR

          protected static final String CHARSETS_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### CONCURRENT_REQUESTS_PROP_KEY

          protected static final String CONCURRENT_REQUESTS_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### CONCURRENT_REQUESTS_PROP_VAL

          protected static final int CONCURRENT_REQUESTS_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### CONTENT_ATTR

          protected static final String CONTENT_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_DEF

          protected static final String CONTENT_TYPE_DEF

      Field description
      See Also:
        Constant Field Values

    - #### FROM_ATTR

          protected static final String FROM_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### HOLD_ATTR

          protected static final String HOLD_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### HOLD_REQUESTS_PROP_KEY

          protected static final String HOLD_REQUESTS_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### HOLD_REQUESTS_PROP_VAL

          protected static final int HOLD_REQUESTS_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### HOST_ATTR

          protected static final String HOST_ATTR

      Name of custom attribute to pass name of host to which BOSH connection is established
      See Also:
        Constant Field Values

    - #### INACTIVITY_ATTR

          protected static final String INACTIVITY_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### LANG_ATTR

          protected static final String LANG_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### PRE_BIND_ATTR

          protected static final String PRE_BIND_ATTR

      See Also:
        Constant Field Values

    - #### SESSION_ID_ATTR

          protected static final String SESSION_ID_ATTR

      See Also:
        Constant Field Values

    - #### USER_ID_ATTR

          protected static final String USER_ID_ATTR

      See Also:
        Constant Field Values

    - #### MAX_BATCH_SIZE_KEY

          protected static final String MAX_BATCH_SIZE_KEY

      Field description
      See Also:
        Constant Field Values

    - #### MAX_INACTIVITY_PROP_KEY

          protected static final String MAX_INACTIVITY_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### MAX_INACTIVITY_PROP_VAL

          protected static final long MAX_INACTIVITY_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### MAX_PACKETS

          protected static final int MAX_PACKETS

      Field description
      See Also:
        Constant Field Values

    - #### MAX_PAUSE_PROP_KEY

          protected static final String MAX_PAUSE_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### MAX_PAUSE_PROP_VAL

          protected static final long MAX_PAUSE_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### MAX_SESSION_WAITING_PACKETS_KEY

          protected static final String MAX_SESSION_WAITING_PACKETS_KEY

      See Also:
        Constant Field Values

    - #### MAX_SESSION_WAITING_PACKETS_VAL

          protected static final int MAX_SESSION_WAITING_PACKETS_VAL

      See Also:
        Constant Field Values

    - #### MAX_WAIT_DEF_PROP_KEY

          protected static final String MAX_WAIT_DEF_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### MAX_WAIT_DEF_PROP_VAL

          protected static final long MAX_WAIT_DEF_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### MAXPAUSE_ATTR

          protected static final String MAXPAUSE_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### MIN_POLLING_PROP_KEY

          protected static final String MIN_POLLING_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### MIN_POLLING_PROP_VAL

          protected static final long MIN_POLLING_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### POLLING_ATTR

          protected static final String POLLING_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### REQUESTS_ATTR

          protected static final String REQUESTS_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### RESTART_ATTR

          protected static final String RESTART_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### RID_ATTR

          protected static final String RID_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### ROUTE_ATTR

          protected static final String ROUTE_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### SECURE_ATTR

          protected static final String SECURE_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### SEND_NODE_HOSTNAME_KEY

          protected static final String SEND_NODE_HOSTNAME_KEY

      Field description
      See Also:
        Constant Field Values

    - #### SEND_NODE_HOSTNAME_VAL

          protected static final boolean SEND_NODE_HOSTNAME_VAL

      Field description
      See Also:
        Constant Field Values

    - #### SID_ATTR

          protected static final String SID_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### TO_ATTR

          protected static final String TO_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### VER_ATTR

          protected static final String VER_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### WAIT_ATTR

          protected static final String WAIT_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### XMLNS_CLIENT_VAL

          protected static final String XMLNS_CLIENT_VAL

      Field description
      See Also:
        Constant Field Values

    - #### MAX_BATCH_SIZE_VAL

          protected static final int MAX_BATCH_SIZE_VAL

      Field description
      See Also:
        Constant Field Values

    - #### SID_LOGGER_KEY

          protected static final String SID_LOGGER_KEY

      See Also:
        Constant Field Values

    - #### SID_LOGGER_VAL

          protected static final String SID_LOGGER_VAL

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2022 "Tigase, Inc.". All rights reserved.